# MovementMethods
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.reflection.movement

## Class MovementMethods

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.reflection.movement.MovementMethods

    public class MovementMethods
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MovementMethods()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static org.bukkit.util.Vector` `addRightVelocity(org.bukkit.entity.ArmorStand as, int direction, float vectorSize)`
`static void` `move(org.bukkit.entity.ArmorStand a, org.bukkit.util.Vector newPosition)` Deprecated.
`static void` `setHeadPose(org.bukkit.entity.ArmorStand a, org.bukkit.util.EulerAngle newPosition)` Set the head pose of the armorstand using NMS
`static void` `setHitbox(org.bukkit.entity.ArmorStand a, org.bukkit.util.Vector newPosition)` Deprecated.
`static void` `setPosition(org.bukkit.entity.ArmorStand a, org.bukkit.Location newPosition)` Teleport the armorstand to a new position using NMS

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MovementMethods

    public MovementMethods()

### Method Detail

#### setPosition

    public static void setPosition(org.bukkit.entity.ArmorStand a,
                                   org.bukkit.Location newPosition)

Teleport the armorstand to a new position using NMS

Parameters:
  `a` - the ArmorStand to teleport
  `newPosition` - the target position

#### setHeadPose

    public static void setHeadPose(org.bukkit.entity.ArmorStand a,
                                   org.bukkit.util.EulerAngle newPosition)

Set the head pose of the armorstand using NMS

Parameters:
  `a` - the armorstand to move
  `newPosition` - the new head pose

#### move

    @Deprecated
    public static void move(org.bukkit.entity.ArmorStand a,
                                         org.bukkit.util.Vector newPosition)

Deprecated.
Move the armorstand using NMS (Set velocity while gravity is disabled)

Parameters:
  `a` - the armorstand to move
  `newPosition` - the new velocity

#### setHitbox

    @Deprecated
    public static void setHitbox(org.bukkit.entity.ArmorStand a,
                                              org.bukkit.util.Vector newPosition)

Deprecated.
Set the hitbox size of an armorstand

Parameters:
  `a` - the armorstand to set the hitbox of
  `newPosition` - the hitbox size

#### addRightVelocity

    public static org.bukkit.util.Vector addRightVelocity(org.bukkit.entity.ArmorStand as,
                                                          int direction,
                                                          float vectorSize)